> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept organization invite



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json post /api/v1/orgs/invites/accept
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/orgs/invites/accept:
    post:
      tags:
        - organizations
      summary: Accept organization invite
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcceptInviteRequest'
      responses:
        '200':
          description: Invite accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptInviteResponse'
        '400':
          description: Invite rejected
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgErrorBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgErrorBody'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgErrorBody'
        '409':
          description: Invite already accepted or user already member
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgErrorBody'
        '410':
          description: Invite expired
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    AcceptInviteRequest:
      type: object
      properties:
        token:
          type: string
          minLength: 20
          maxLength: 128
      required:
        - token
    AcceptInviteResponse:
      type: object
      properties:
        org:
          $ref: '#/components/schemas/Organization'
        role:
          type: string
          enum:
            - admin
            - member
      required:
        - org
        - role
    OrgErrorBody:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    Organization:
      type: object
      properties:
        id:
          type: string
          format: uuid
        slug:
          type: string
        name:
          type: string
        plan:
          type: string
          enum:
            - free
            - developer
            - pro
            - enterprise
        billing_email:
          type: string
          nullable: true
          format: email
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - slug
        - name
        - plan
        - billing_email
        - created_at
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````